Bug 1132548 - [RFE] Ceph RBD backend configuration for Cinder and Glance in OSP
Summary: [RFE] Ceph RBD backend configuration for Cinder and Glance in OSP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: z2
: Installer
Assignee: Crag Wolfe
QA Contact: Yogev Rabl
URL:
Whiteboard: MVP
Depends On: 1104856
Blocks: 1108193
TreeView+ depends on / blocked
 
Reported: 2014-08-21 14:23 UTC by Scott Lewis
Modified: 2016-04-26 14:46 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The RHEL-OSP installer can now deploy Ceph RADOS Block Devices (RBD) as a backend for the Image or Block Storage services. With this enhancement, Ceph configuration options can be specified using the installer (OpenStack configuration files on controller and compute nodes can use Ceph for the Image or Block Storage services).
Clone Of: 1104856
Environment:
Last Closed: 2014-11-04 17:02:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Comment 2 Yogev Rabl 2014-08-26 07:32:18 UTC
The RFE is not completely implemented: 
1. Ceph keyrings are not been added in the installation process
2. The Ceph's attributes are missing from the configuration files of Glance Cinder & Nova 
3. The main Cinder's & Glance's configuration page in the foreman lack the attributes of:
- Ceph credentials
- Ceph pool names
- a way to input Ceph's keyrings 
- rbd secret uuid for the OSP libvirt (either generated by the foreman or enter a prepared uuid).

Comment 3 Mike Burns 2014-09-03 15:16:04 UTC
given comment 2, removing testonly.

Comment 4 Crag Wolfe 2014-09-04 00:49:57 UTC
Close as dup to https://bugzilla.redhat.com/show_bug.cgi?id=1127863 ?

Comment 5 Mike Burns 2014-09-04 12:35:58 UTC
is the only thing missing in this covered by bug 1127863 ?  if so, please move back to TestOnly and ON_QA.

Comment 7 Crag Wolfe 2014-10-01 16:41:06 UTC
openstack-foreman-installer's manifests set cinder and glance configuration files correctly when rbd is used as a backend.  The largest chunk of work was completed in https://github.com/redhat-openstack/astapor/pull/358, but PR's 366 and 367 are also relevant.

Comment 9 Yogev Rabl 2014-10-26 10:12:27 UTC
verified in version:
ruby193-rubygem-staypuft-0.4.8-1.el6ost.noarch

Comment 11 errata-xmlrpc 2014-11-04 17:02:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.